Page MenuHomePhabricator

Unhandled exception on viewing T14974
Closed, DuplicatePublic

Description

Going to the Phab page of T14974, I see:

Exception
Rejecting ambiguous URI "[irc://{{{server|}}}{{#if:{{{port|}}}|:{{{port}}}}}/{{{channel}}} #{{{channel}}}]". This URI is not formatted or encoded properly.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2017, 7:55 PM
Restricted Application added a project: Upstream. · View Herald TranscriptJun 3 2017, 8:25 PM

I think this has been happening since we migrated to phabricator in 2014.

Paladox triaged this task as High priority.Jun 4 2017, 12:13 PM

That task has a high priority so not being able to view it will prevent users from coming up with a fix for it.

@Aklapper what patch is merged? I dont see any patches upstream related to fixing this problem.

php7 is not the problem as we doint run php7 in prod.

cscott added subscribers: Anomie, cscott.EditedJun 6 2017, 5:28 PM

I have all the comments on T14974 from 12/31/14 to @Anomie's comment on Apr 30, 2017 in my phabricator bug (spam) mail, so I don't believe that @Paladox's claim above (re: happening since migration to phabricator) is correct.

The last comment I have in mail is Anomie's mention of make sure that parser functions like <censored> can avoid injecting the newline when necessary.. The censored section is { { # i f : } } concatenated together, with (AFICT) no backquotes surrounding it. My strong suspicion is that that character sequence is crashing phabricator. I hope I've munged it enough here that I'm not going to crash phab on this task as well.

Anomie removed a subscriber: Anomie.Jun 6 2017, 5:37 PM
Paladox added a comment.EditedJun 6 2017, 5:40 PM

@cscott i was talking about another task when i said it has happened since we migrated to phabricator.

Also see the fix here D679

@Aklapper what patch is merged? I dont see any patches upstream related to fixing this problem.

https://secure.phabricator.com/T12796

@Aklapper what patch is merged? I dont see any patches upstream related to fixing this problem.

https://secure.phabricator.com/T12796

Thanks, that does not fix tasks. Tested on phab-01. But my fix https://phabricator.wikimedia.org/D679 does.

This is not a duplicate of that one as that one is fixed and this isent.

Tested on a test instance.

Mentioned in SAL (#wikimedia-operations) [2017-06-08T02:40:47Z] <twentyafterfour> deploying hotfix for T166958

mmodell added a subscriber: mmodell.Jun 8 2017, 2:43 AM

@Paladox This should be fixed for real now